Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7900 - Clean source install fails to compile!
Summary: Clean source install fails to compile!
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-20 13:22 UTC by patrick
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 06:12:45 UTC


Attachments (Terms of Use)

Description patrick 1999-12-20 13:22:02 UTC
A clean install of redhat 6.1's kernel source does not compile!
This is the command history I tried:

cd /usr/src
rpm -e kernel-utils
rpm -e kernel-source
rpm -e --nodeps kernel-headers
rm -rf linux-2.2.12/
rpm -i /home/pim/temp/kernel-headers-2.2.12-20.i386.rpm
rpm -i /home/pim/temp/kernel-utils-2.2.12-20.i386.rpm
rpm -i /home/pim/temp/kernel-source-2.2.12-20.i386.rpm
cd linux
make dep

This results in the following makefile error:

make -C fc4 fastdep
make[4]: Entering directory `/usr/src/linux-2.2.12/drivers/fc4'
Makefile:10: ../../.config: No such file or directory
make[4]: *** No rule to make target `../../.config'.  Stop.
make[4]: Leaving directory `/usr/src/linux-2.2.12/drivers/fc4'
make[3]: *** [_sfdep_fc4] Error 2
make[3]: Leaving directory `/usr/src/linux-2.2.12/drivers'
make[2]: *** [fastdep] Error 2
make[2]: Leaving directory `/usr/src/linux-2.2.12/drivers'
make[1]: *** [_sfdep_drivers] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.12'
make: *** [dep-files] Error 2

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Bill Nottingham 2000-02-06 06:12:59 UTC
You need to do 'make oldconfig', or 'make config'.


Note You need to log in before you can comment on or make changes to this bug.